.NET

Reply
Valued Contributor
muthineni
Posts: 73
Registered: ‎10-10-2011
Message 1 of 4 (310 Views)

cannot create activex component

310 Views, 3 Replies
02-24-2014 01:22 AM

Dim AcadApp As AcadApplication

Try
                AcadApp = GetObject(, "AutoCAD.Application")\

Catch ex As Exception
               AcadApp = CreateObject("AutoCAD.Application")

End Try
               AcadApp.Visible = True

 

I have used the above code to open an AUTOCAD drawing and read the objects. But i am getting an error like 'cannot create activex component'. when the AUTOCAD drawing takes time to load, this error is coming.

 

Can anyone help me out from this issue.

 

Thank you.

ADN Support Specialist
StephenPreston
Posts: 428
Registered: ‎05-22-2006
Message 2 of 4 (277 Views)

Re: cannot create activex component

02-26-2014 09:11 AM in reply to: muthineni

Your problem appears to be the same as this one - http://forums.autodesk.com/t5/NET/Create-autocad-2012-COM-object/m-p/4728197.

 

Cheers,

Stephen Preston
Autodesk Developer Network
Valued Contributor
muthineni
Posts: 73
Registered: ‎10-10-2011
Message 3 of 4 (263 Views)

Re: cannot create activex component

02-26-2014 07:59 PM in reply to: muthineni

i am not able to open the given link.

Below message is displayed,

 

ADN Support Specialist
Virupaksha.aithal
Posts: 102
Registered: ‎06-15-2011
Message 4 of 4 (255 Views)

Re: cannot create activex component

02-27-2014 12:57 AM in reply to: muthineni

Hi

 

try removing the "." at the end in link like http://forums.autodesk.com/t5/NET/Create-autocad-2012-COM-object/m-p/4728197



Virupaksha Aithal KM
Developer Technical Services
Autodesk Developer Network

Post to the Community

Have questions about Autodesk products? Ask the community.

New Post
Announcements
Do you have 60 seconds to spare? The Autodesk Community Team is revamping our site ranking system and we want your feedback! Please click here to launch the 5 question survey. As always your input is greatly appreciated.